# C# 语言

> 原文： [https://zetcode.com/lang/csharp/csharp/](https://zetcode.com/lang/csharp/csharp/)

在 C# 教程的这一部分中，我们介绍 C# 编程语言。

## 目标

本教程的目标是使您开始使用 C# 编程语言。 本教程涵盖了 C# 语言的核心，包括变量，数组，控件结构和其他核心功能。 本教程使用命令行编译器来构建应用。 它不包括图形界面开发或可视 IDE。

## C# 

C# 是一种现代的，高级的，通用的，面向对象的编程语言。 它是 .NET 框架的主要语言。 它支持功能，过程，通用，面向对象和面向组件的编程学科。 该语言的设计目标是软件健壮性，耐用性和程序员生产率。 它可用于在 PC 和嵌入式系统上创建控制台应用，GUI 应用，Web 应用。 C# 由 Microsoft 公司创建。 名称“ C Sharp”是受音乐符号启发的，其中 Sharp 表示应将书面音调调高半音。

## .NET 核心

.NET Core 提供了一个快速的模块化平台，用于创建在 Windows，Linux 和 macOS 上运行的服务器应用。 它是由 Microsoft 和 .NET 社区在 GitHub 上维护的开源通用开发平台。

```cs
$ dotnet --version
3.0.100

```

为了使用 .NET Core，我们需要下载并安装.NET Core SDK。 .NET Core 3 支持 C# 8.0。

## 编译 C# 程序

安装.NET Core SDK 之后，我们可以构建第一个 C# 程序。

```cs
$ dotnet new console -o Simple

```

使用`dotnet new console`命令，我们创建一个新的控制台应用。

`Program.cs`

```cs
using System;

namespace Simple
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("This is C#");
        }
    }
}

```

这是一个简单的 C# 程序，它将消息打印到控制台。

```cs
$ dotnet run
This is C#

```

我们使用`dotnet run`编译并运行一个简单的 C# 程序。

## Visual Studio 代码

Visual Studio Code 是一种轻量级，功能强大的现代源代码编辑器，可用于 Windows，macOS 和 Linux。 它具有对 JavaScript，TypeScript 和 Node.js 的内置支持，并具有丰富的扩展生态系统，可扩展其他语言和运行时环境，包括 C# 和.NET Core。

它包括对调试，嵌入式 Git 控制，语法突出显示，智能代码完成，代码段和代码重构的支持。

## 数据来源

以下资源用于创建本教程：

*   [.NET Core 指南](https://docs.microsoft.com/en-us/dotnet/core/)
*   [C Sharp 编程语言](https://en.wikipedia.org/wiki/C_Sharp_(programming_language))
*   C# 语言规范

在 C# 教程的这一部分中，我们介绍了 C# 语言。