# PySide 工具包简介

> 原文： [http://zetcode.com/gui/pysidetutorial/introduction/](http://zetcode.com/gui/pysidetutorial/introduction/)

这是一个介绍性的 PySide 教程。 本教程的目的是帮助您开始使用 PySide 工具包。 该教程已在 Linux 上创建并测试。

## 关于 PySide

PySide 是 Python 库，用于创建跨平台的图形用户界面。 它是 Qt 框架的 Python 绑定。 Qt 库是功能最强大的 GUI 库之一。 PySide 的官方主页为 [qt-project.org/wiki/PySide](http://qt-project.org/wiki/PySide) 。 可以在 [pypi.python.org/pypi/PySide](https://pypi.python.org/pypi/PySide) 中找到安装说明。

PySide 被实现为一组 Python 模块。 目前它有 15 个模块。 这些模块提供了强大的工具来处理 GUI，多媒体，XML 文档，网络或数据库。 在我们的教程中，我们将使用其中两个模块。 `QtGui`和`QtCore`模块。

`QtCore`模块包含核心的非 GUI 功能。 该模块用于处理时间，文件和目录，各种数据类型，流，URL，mime 类型，线程或进程。 `QtGui`模块包含图形组件和相关类。 这些包括例如按钮，窗口，状态栏，工具栏，滑块，位图，颜色，字体等。

在 Qt 工具包的所有者诺基亚未能与 Riverbank Computing 达成协议（将 LGPL 作为替代许可证）后，PySide 已发布。 PySide 与 PyQt4 具有高度的 API 兼容性，因此迁移到 PySide 并不困难。

## Python

![python logo](img/1feacd0dafad098ee521368512f94744.jpg) Python 是一种通用的，动态的，面向对象的编程语言。 Python 语言的设计目的强调程序员的生产力和代码可读性。 Python 最初是由 Guido van Rossum 开发的。 它于 1991 年首次发布。Python 受 ABC，Haskell，Java，Lisp，Icon 和 Perl 编程语言的启发。 Python 是高级通用多平台解释型语言。 Python 是一种简约语言。 它最明显的功能之一是它不使用分号或方括号。 Python 使用缩进代替。 目前，Python 有两个主要分支。 Python 2.x 和 Python3.x。 Python 3.x 打破了与早期版本 Python 的向后兼容性。 它的创建是为了纠正该语言的某些设计缺陷并使该语言更简洁。 本教程介绍了 Python 2.x 版本。 大多数代码是用 Python 2.x 版本编写的。 软件基础和程序员将需要一些时间才能迁移到 Python3.x。 今天，Python 由世界各地的一大批志愿者维护。 Python 是开源软件。

对于那些想学习编程的人来说，Python 是一个理想的起点。

Python 编程语言支持多种编程样式。 它不会强迫程序员采用特定的示例。 Python 支持面向对象和过程编程。 对功能编程的支持也很有限。

Python 编程语言的官方网站是 [python.org](http://python.org)

Python 是最受欢迎的编程语言之一。 根据 [langpop.com](http://langpop.com/) ，Python 排在第六位。 [TI​​OBE 索引](http://www.tiobe.com/index.php/content/paperinfo/tpci/index.html)将 Python 放在第 8 位。 在 [github.com](https://github.com/languages) （一种流行的软件项目仓库）上，Python 是第三流行的语言，在托管的所有项目中占 9% 的份额。

## Python 工具包

为了创建现代的图形用户界面，Python 程序员可以在以下不错的选项中进行选择：PySide，PyQt4，Python/Gnome（以前的 PyGTK）和 wxPython。

本章是对 PySide 工具箱的介绍。