# 介绍

> 原文： [http://zetcode.com/tutorials/ironpythontutorial/introduction/](http://zetcode.com/tutorials/ironpythontutorial/introduction/)

IronPython Mono Winforms 教程的第一部分介绍了 Mono 平台和 Winforms 库。

## 关于本教程

这是 Mono IronPython Winforms 教程。 Mono IronPython Winforms 教程适用于初学者。 本教程的目的是向读者介绍用于 IronPython 编程语言的 Mono Winforms 中 GUI 编程的基础知识。 本教程是在 Linux 上创建并测试的。 但是，它也可以在其他操作系统上使用。 大多数示例都应运行而无需修改。 可以在此处下载本教程中使用的图像。

## Mono

Mono 是由 Xamarin 赞助的一项开放开发计划，目的是开发 Microsoft.NET 开发平台的开源 UNIX 版本。 它是.NET 兼容的工具集，其中包括 C# 编译器，公共语言运行库，ADO.NET，ASP.NET 和 Winforms 库。

单声道可分为三组：

*   核心组成
*   Gnome 开发栈
*   Microsoft 兼容性栈

核心组件是 C# 语言和公共语言运行时。 Gnome 开发栈包括 GTK# 库和各种数据库连接库。 最后，Microsoft 兼容性栈包括 ADO.NET，ASP.NET 和 Winforms 库。

Mono 是多平台编程平台。 它可以在 Linux，BSD，Mac OS X，Solaris 和 Windows 操作系统上运行。 这是一种多语言的工作。 目前，仅完全支持 C# 语言。 诸如 Visual Basic 或 IronPython 之类的语言尚未完成。 它们仍在开发中。

## Winforms

Windows Forms 是图形用户界面应用编程接口（API），包含在 Microsoft .NET Framework 中。 截至 2008 年 5 月 13 日，Mono 的`System.Windows.Forms` 2.0 已完成 API。 简而言之，Winforms 是一个用于创建 GUI 应用的库。

## IronPython

IronPython 是 .NET Framework 和 Mono 的 Python 编程语言的实现。 IronPython 完全用 C# 编写。 Python 和 IronPython 之间有一些明显的区别。

## 运行代码示例

我们的教程使用 IronPython 语言。

`simple.py`

```py
#!/usr/bin/ipy

import clr

clr.AddReference("System.Windows.Forms")

from System.Windows.Forms import Application, Form

class IForm(Form):

    def __init__(self):
        self.Text = 'Simple'
        self.Width = 250
        self.Height = 200
        self.CenterToScreen()

Application.Run(IForm())

```

这个小代码示例在屏幕上显示了一个简单的窗口。 它使用 Winforms 库。 它是用 IronPython 编码的。

```py
#!/usr/bin/ipy

```

这是 IronPython 解释器的路径。

```py
$ chmod +x simple.py
$ ./simple.py

```

我们使脚本可执行并运行它。

## 参考

*   [mono-project.com](http://www.mono-project.com/)
*   [msdn.com 上的 Winforms 2.0](http://msdn.microsoft.com/en-us/library/bb966997.aspx)
*   [wikipedia.org](http://wikipedia.org/)

这是 Mono IronPython Winforms 的简介。