# wxWidgets 简介

> 原文： [http://zetcode.com/gui/wxwidgets/introduction/](http://zetcode.com/gui/wxwidgets/introduction/)

本教程将向您介绍使用 wxWidgets 工具包进行编程。

## wxWidgets

wxWidgets 是用于创建 C++ 应用的图形用户界面（GUI）工具包。 它是一个开源的，成熟的，跨平台的工具箱。 wxWidgets 应用可在所有主要的 OS 平台上运行，包括 Windows，Unix 和 Mac OS。 该项目由 Julian Smart 于 1992 年发起。wxWidgets 不仅仅是工具包。 它提供了各种各样的类来处理流，数据库，线程，联机帮助或应用设置。 wxWidgets 包含大量的小部件。 wxWidgets 周围的社区围绕他们的[网站](http://www.wxwidgets.org)分组。

## C++ 编程语言

C++ 编程语言是使用最广泛的编程语言之一。 它被用于许多著名的桌面应用中，例如 MS Office，Macromedia Flash，Firefox，Photoshop 或 3D Max。 C++ 在 PC 游戏世界中也占主导地位。 它是最困难的编程语言之一。 另一方面，当今的 C++ 编程与 10 年前的编程不同。 有许多工具和库可简化编程。

## 编程语言

当前有几种广泛使用的编程语言。 以下列表基于 [TIOBE](http://www.tiobe.com/tpci.htm) 编程社区索引。 数字是从 2017 年 9 月开始的。我们可以看到，C++ 仍然属于世界上最受欢迎的编程语言。

| 位置 | 语言 | 份额 |
| --- | --- | --- |
| 1 | Java | 12.7%  |
| 2 | C | 7.4%  |
| 3 | C++  | 5.6%  |
| 4 | C#  | 4.8%  |
| 5 | Python | 2.9%  |
| 6 | PHP | 2.2%  |
| 7 | JavaScript | 2.0%  |
| 8 | Visual Basic .NET | 1.98%  |
| 9 | Perl | 1.95%  |
| 10 | Ruby | 1.93%  |

Java 是使用最广泛的编程语言。 Java 在创建便携式移动应用，对各种设备进行编程以及创建企业应用方面表现出色。 每四个应用都使用 C/C++ 进行编程。 它们是创建操作系统和各种桌面应用的标准配置。 C/C++ 是使用最广泛的系统编程语言。

C# 是 Microsoft .NET 平台的主要编程语言。

PHP 在网络上占主导地位。 Java 主要由大型组织使用，而 PHP 由较小的公司和个人使用。 PHP 用于创建动态 Web 应用。

Visual Basic .NET 是另一种流行的.NET 编程语言。 它代表了 RAD（快速应用开发）的流行。

Perl，Python 和 Ruby 是使用最广泛的脚本语言。 他们有很多相似之处。 他们是紧密的竞争对手。

## 多平台编程

如今，多平台编程已成为流行语。 大多数语言和库都希望是多平台的。 wxWidgets 从一开始就是作为多平台工具创建的。 大多数开发人员在这些选项中进行选择。 如果可能的话，他们会上网。 或者他们可以使用 Qt，wxWidgets，Swing 或 SWT。 Qt 库是最接近 wxWidgets 的竞争对手。

## 安装 wxWidgets

以下说明对基于 Debian 的 Linux 有效。

```cpp
$ sudo apt-get install build-essential

```

如果我们还没有 C++ 编译器，请安装`build-essential`包。

```cpp
$ sudo apt-get install libwxgtk3.0-dev

```

这将安装 wxWidgets 包。

这是 wxWidgets 的简介。