# Kotlin Hello World 教程

> 原文： [http://zetcode.com/kotlin/helloworld/](http://zetcode.com/kotlin/helloworld/)

Kotlin Hello World 教程展示了如何在 Kotlin 中创建 Hello World 程序。

Kotlin 是在 Java 虚拟机上运行的静态类型的编程语言。

Kotlin 由 JetBrains 创建。 Kotlin 是面向对象的函数式编程语言。 Kotlin 被设计为一种务实，简洁，安全且可互操作的编程语言。

## 安装 Kotlin 编译器

从官方的 Github [存储库](https://github.com/JetBrains/kotlin)中，我们从发行链接下载 Kotlin。 它包含在 ZIP 存档中。 （Kotlin 内置在 IntelliJ IDEA IDE 中。）

```kt
$ unzip kotlin-compiler-1.2.21.zip

```

我们解压缩档案。

```kt
$ mv kotlinc ~/bin/

```

我们将目录移动到我们选择的目的地。

```kt
$ export PATH=$PATH:~/bin/kotlinc/bin/

```

我们将 Kotlin 编译器的路径添加到`.bashrc`或`.profile`文件中。

## Kotlin Hello World 示例

以下程序将简单消息打印到控制台。

`hello.kt`

```kt
package com.zetcode

fun main(args: Array<String>) {

    println("Hello, World!")
}

```

Kotlin 源文件的扩展名为`.kt`。 请注意，在 Kotlin 中，我们不必使用分号。

```kt
package com.zetcode

```

源文件可以以`package`声明开头。 包用于组织类型。 与 Java 不同，Kotlin 不需要包来匹配目录结构。 但是，这样做是一个好习惯。

```kt
fun main(args: Array<String>) {

    println("Hello, World!")
}

```

`main()`功能是程序的入口点。 使用`fun`关键字声明函数。 在 Kotlin 中，我们不必将函数放入类中。 `println()`功能将消息打印到控制台。 `main()`函数将字符串数组作为参数。 请注意，在 Kotlin 中，类型后跟在冒号后面的变量名。

## 编译 Kotlin 程序

我们将从命令行编译并运行程序。

```kt
$ kotlinc hello.kt 

```

使用`kotlinc`编译器，我们可以编译源代码。

```kt
$ ls com/zetcode/
HelloKt.class

```

编译器在`com/zetcode`子文件夹中创建`HelloKt.class`。

```kt
$ kotlin com.zetcode.HelloKt
Hello, World!

```

我们使用`kotlin`工具运行该程序。

## 打包 Kotlin 程序

接下来，我们将展示如何将 Kotlin 程序打包到 Java JAR 文件中。

```kt
$ kotlinc hello.kt -include-runtime -d hello.jar

```

使用`-include-runtime`选项，我们将 Kotlin 运行时包含在生成的 JAR 文件中。

```kt
$ java -jar hello.jar 
Hello, World!

```

我们使用`java`工具运行该程序。

在本教程中，我们在 Kotlin 中创建了一个简单的程序。 该程序是使用命令行工具构建并运行的。 您可能也对相关教程感兴趣： [Kotlin 变量教程](/kotlin/variables/)， [Kotlin 控制流教程](/kotlin/controlflow/)， [Kotlin 读取文件教程](/kotlin/readfile/)和 [Kotlin 写入文件教程](/kotlin/writefile/) 。