# Tcl

> 原文： [https://zetcode.com/lang/tcl/tcl/](https://zetcode.com/lang/tcl/tcl/)

在 Tcl 教程的这一部分中，我们将介绍 Tcl 编程语言。

## 目标

本教程的目标是使您开始使用 Tcl 编程语言。 本教程涵盖了 Tcl 语言的核心，即变量，列表，数组，控件结构和其他核心功能。 这不是该语言的完整介绍。 这是一种快速的入门数据。 该教程是在 Ubuntu Linux 上创建的。

## Tcl

![Tcl logo](img/200c3bd9ac24d25b6072fba61ecafe59.jpg) Tcl 是基于字符串的脚本语言。 源代码被编译成字节码，然后由 Tcl 解释器解释。 它是由 John Osterhout 在 1988 年创建的。其目的是创建一种易于嵌入到应用中的语言。 但通常在其原始区域之外使用。 该语言通常用于快速原型制作，脚本应用，GUI 和测试。 Tcl 代表工具命令语言，其中 Tcl 脚本的源代码由命令组成。

Tcl 是一种过程语言。 它具有一些功能特征。 在 Tcl 版本 8.6 中添加了 OOP。

Tcl 及其 Tk GUI 工具包的官方网站是 [tcl.tk](http://tcl.tk/)

## 人气

今天有数百种编程语言在使用。 Tcl 不属于最受欢迎的 Tcl。 它使用的地方有它自己的利基。 例如，快速的原型制作，测试和数据库交互。

## 交互解释器

我们可以在脚本或交互式解释器中运行 Tcl 命令。 在本教程中，我们将使用交互式 Tcl 会话来演示一些较小的代码片段。 较大的代码示例将放在 Tcl 脚本中。

tclsh 是类似 shell 的应用，可从其标准输入或文件中读取 Tcl 命令并对其进行求值。 如果不带任何参数调用，它将以交互方式运行，从标准输入读取 Tcl 命令，并将命令结果和错误消息打印到标准输出。

```tcl
$ tclsh
% puts $tcl_version
8.6
% puts $tcl_interactive
1

```

这是 Tcl 交互式会话的示例。

```tcl
$ tclsh

```

我们使用`tclsh`命令启动交互式会话。

```tcl
% puts $tcl_version
8.6

```

提示将更改为`%`字符。 我们将特殊的`tcl_version`变量的值打印到控制台。 设置为当前使用的 Tcl 的版本。

```tcl
% puts $tcl_interactive
1

```

`tcl_interactive`变量告诉我们是否处于交互模式。

```tcl
% exit
$

```

我们使用`exit`命令终止交互式会话。 也可以使用 `Ctrl + C` 组合键。

## Tcl 脚本

我们将有第一个简单的 Tcl 脚本示例。 Tcl 程序通常具有`.tcl`扩展名。

```tcl
#!/usr/bin/tclsh

# first.tcl

puts "This is Tcl tutorial"

```

在此脚本中，我们将消息打印到控制台。

```tcl
#!/usr/bin/tclsh

```

UNIX 中的每个脚本都以 shebang 开头。 shebang 是脚本中的前两个字符：`#!`。 shebang 之后是解释器的路径，它将执行我们的脚本。 `/usr/bin/`是 Tcl 外壳最常见的位置。 它也可以位于`/usr/local/bin/`或其他位置。

```tcl
# first.tcl

```

Tcl 中的注释前面带有`#`字符。

```tcl
puts "This is Tcl tutorial"

```

`puts`命令将字符串输出到控制台。

```tcl
$ which tclsh
/usr/bin/tclsh

```

可以使用`which`命令找到 Tcl 解释器的路径。

```tcl
$ chmod +x first.tcl 
$ ./first.tcl 
This is Tcl tutorial

```

我们使用`chmod`命令使脚本可执行并执行。

## 数据来源

以下资源用于创建本教程：

*   [tcl.tk](http://www.tcl.tk/)
*   [en.wikipedia.org/wiki/Tcl](http://en.wikipedia.org/wiki/Tcl)

在 Tcl 教程的这一部分中，我们介绍了 Tcl 语言。