# PHP

> 原文： [https://zetcode.com/lang/php/php/](https://zetcode.com/lang/php/php/)

在 PHP 教程的这一部分中，我们通常讨论 PHP 编程语言。

## 目标

本教程的目标是使您开始使用 PHP 编程语言。 本教程涵盖了 PHP 语言的核心：变量，数组，控件结构和其他核心功能。 它不涉及 Web 开发，数据库或其他众多主题。 在本教程中，我们使用 PHP 7.2。

## PHP

PHP 是一种专为 Web 开发而设计的脚本语言。 它用于产生动态网页。 当前，PHP 是使用最广泛的编程语言之一。 它的大部分语法是从 C，Java 和 Perl 借来的，它们具有几个特定于 PHP 的独特功能。 PHP 可以嵌入 HTML 代码中，并且通常在 Web 服务器上运行。 需要将 Web 服务器配置为处理 PHP 代码并从中创建 Web 网页内容。 它可以部署在大多数 Web 服务器和操作系统上。 PHP 是一个免费软件。 PHP 于 1995 年首次创建，此后一直在积极开发。

PHP 支持面向对象和过程编程风格。

PHP 编程语言的官方网站是 [php.net](http://php.net)

## 安装 PHP

可以通过安装包或开发包 WAMP，MAMP 或 XAMPP 安装 PHP。

```php
$ php -v
PHP 7.2.11 (cli) (built: Oct 10 2018 02:39:52) ( ZTS MSVC15 (Visual C++ 2017) x86 )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies

```

我们得到了 PHP 版本。

## PHP CLI

PHP CLI 是 PHP 语言的命令行解释器。 这对于从外壳测试 PHP 脚本很有用。 在本教程中，我们使用 PHP 命令行解释器。 我们专注于 PHP 语言的核心。

`simple.php`

```php
<?php

echo "this is PHP language\n";

```

这里我们有一个简单的 PHP 脚本。

```php
$ php simple.php
this is PHP language

```

我们执行脚本。

## PHP 交互式 Shell

与 Python 或 Ruby 一样，PHP 也具有交互式 Shell。 测试小型语言结构很有用。

```php
$ php -a
Interactive mode enabled

php> print PHP_OS;
Linux
php> print PHP_VERSION;
7.2.11

```

通过`php`命令的`-a`选项调用 PHP Shell。 Shell 使用`php>`提示符。

## 参考文献

*   [官方 PHP 文档](http://php.net/docs.php)
*   [维基百科上的 PHP 文章](https://en.wikipedia.org/wiki/PHP)

在 PHP 教程的这一部分中，我们介绍了 PHP 语言。