# Ruby

> 原文： [https://zetcode.com/lang/rubytutorial/ruby/](https://zetcode.com/lang/rubytutorial/ruby/)

在 Ruby 教程的这一部分中，我们将介绍 Ruby 编程语言。

## 目标

本教程的目标是使您开始使用 Ruby 编程语言。 本教程涵盖了 Ruby 语言的核心，包括变量，表达式，集合，控件结构和其他核心功能。 它还描述了一些更高级的概念，例如面向对象的编程和正则表达式。 这不是该语言的完整介绍。 该教程是在 Ubuntu Linux 上创建的。

## Ruby

![Ruby logo](img/f00e7e1214409af10df777d73cfadf4b.jpg) Ruby 是一种动态的，反射性的，通用的面向对象的编程语言。 原始作者是日本程序员松本行弘（HTG4）。 Ruby 于 1995 年首次出现。

Ruby 支持各种编程范例。 这包括面向对象，反射，命令式和反射式编程。 Ruby 语言主要受 Perl，Smalltalk，Eiffel 和 Lisp 的影响。 与 Java，C# 或 C 等语言不同，Ruby 没有正式的规范。 相反，Ruby 语言的原始 C 实现可作为事实上的参考。 Ruby 语言还有其他实现，例如 JRuby，IronRuby 或 MacRuby。

官方网站是 [ruby​​-lang.org](http://www.ruby-lang.org/) 。

## Ruby 的流行

今天有数百种编程语言在使用。 Ruby 属于最受欢迎的。 估计使 Ruby 成为十大编程语言。 Ruby on Rails 是一个非常流行的 Web 应用框架，它是用 Ruby 创建的第一个杀手级应用。

## Ruby 交互式解释器

我们可以在脚本或交互式解释器中运行 Ruby 语句。 在本教程中，我们将使用交互式 Ruby 会话来演示一些较小的代码片段。 较大的代码示例将放在 Ruby 脚本中。

```ruby
$ irb
irb(main):001:0> puts RUBY_VERSION
1.8.7
=> nil

```

这是 Ruby 交互式会话的示例。 我们将特殊的`RUBY_VERSION`常量的值打印到控制台。 它设置为当前使用的 Ruby 的版本。

## Ruby 脚本

我们将有第一个简单的 Ruby 脚本示例。

```ruby
#!/usr/bin/ruby

# first.rb 

puts "This is Ruby"

```

在此脚本中，我们将消息打印到控制台。

```ruby
#!/usr/bin/ruby

```

UNIX 中的每个脚本都以 shebang 开头。 shebang 是脚本中的前两个字符：`#!`。 shebang 之后是解释器的路径，它将执行我们的脚本。 `/usr/bin/`是 Ruby 解释器最常见的位置。 它也可以位于`/usr/local/bin/`或其他位置。

```ruby
# first.rb 

```

Ruby 中的注释前面带有`#`字符。

```ruby
puts "This is Ruby"

```

`puts`方法将字符串打印到控制台。

```ruby
$ which ruby
/usr/bin/ruby

```

可以使用`which`命令找到 Ruby 解释器的路径。

```ruby
$ chmod +x first.rb 
$ ./first.rb 
This is Ruby

```

我们使用`chmod`命令使脚本可执行并执行。

## 数据来源

以下资源用于创建本教程：

*   [ruby​​-lang.org](http://www.ruby-lang.org/)
*   [ruby​​-doc.org](http://ruby-doc.org/)
*   [Wikipedia.org 上的 Ruby 文章](http://en.wikipedia.org/wiki/Ruby_(programming_language))

在 Ruby 教程的这一部分中，我们介绍了 Ruby 语言。